Loading...
Searching...
No Matches
volk_32f_s32f_x2_convert_8u.h File Reference
`#include <inttypes.h>`
`#include <emmintrin.h>`
`#include <xmmintrin.h>`
`#include <volk/volk_common.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32f_s32f_x2_convert_8u_a_H

## Functions

static void | volk_32f_s32f_x2_convert_8u_single (uint8_t *out, const float in)
static void | volk_32f_s32f_x2_convert_8u_generic (uint8_t *outputVector, const float *inputVector, const float scale, const float bias, unsigned int num_points)
static void | volk_32f_s32f_x2_convert_8u_u_sse2 (uint8_t *outputVector, const float *inputVector, const float scale, const float bias, unsigned int num_points)
static void | volk_32f_s32f_x2_convert_8u_u_sse (uint8_t *outputVector, const float *inputVector, const float scale, const float bias, unsigned int num_points)
static void | volk_32f_s32f_x2_convert_8u_a_sse2 (uint8_t *outputVector, const float *inputVector, const float scale, const float bias, unsigned int num_points)
static void | volk_32f_s32f_x2_convert_8u_a_sse (uint8_t *outputVector, const float *inputVector, const float scale, const float bias, unsigned int num_points)
static void | volk_32f_s32f_x2_convert_8u_neon (uint8_t *outputVector, const float *inputVector, const float scale, const float bias, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32f_s32f_x2_convert_8u_a_H

#define INCLUDED_volk_32f_s32f_x2_convert_8u_a_H

## Function Documentation

## volk_32f_s32f_x2_convert_8u_a_sse()

void volk_32f_s32f_x2_convert_8u_a_sse | ( | uint8_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scale,
|  | const float | bias,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_x2_convert_8u_a_sse2()

void volk_32f_s32f_x2_convert_8u_a_sse2 | ( | uint8_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scale,
|  | const float | bias,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_x2_convert_8u_generic()

void volk_32f_s32f_x2_convert_8u_generic | ( | uint8_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scale,
|  | const float | bias,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_x2_convert_8u_neon()

void volk_32f_s32f_x2_convert_8u_neon | ( | uint8_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scale,
|  | const float | bias,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_x2_convert_8u_single()

void volk_32f_s32f_x2_convert_8u_single | ( | uint8_t * | out,
|  | const float | in )

inline static

## volk_32f_s32f_x2_convert_8u_u_sse()

void volk_32f_s32f_x2_convert_8u_u_sse | ( | uint8_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scale,
|  | const float | bias,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_x2_convert_8u_u_sse2()

void volk_32f_s32f_x2_convert_8u_u_sse2 | ( | uint8_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scale,
|  | const float | bias,
|  | unsigned int | num_points )

inline static